% Otter solution for Linear Peg Solitaire, 4 pegs of each color
% by Robert Keller

set(auto).

list(usable).

move(s(w(x), y), s(x, w(y))).
move(s(x, r(y)), s(r(x), y)).

move(s(r(w(x)), y), s(x, r(w(y)))).
move(s(x, w(r(y))), s(w(r(x)), y)).

reachable(s(w(w(w(w(c)))), r(r(r(r(c)))))).

-reachable(x) | -move(x, y) | reachable(y).

-reachable(s(r(r(r(r(c)))), w(w(w(w(c)))))).

end_of_list.
